<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #7                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Files
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function AdminDoProcessFilesQueue
 * A function to process a files queue
 * @author Philipp Louis Esselbach
 */
function AdminDoProcessFilesQueue()
{
	global $database, $security, $system, $html, $ipaddr, $permissions, $login_username, $preferences, $words_files;
	$input_id = ( isset( $_POST[ 'input_id' ] ) ) ? $security -> checknum( $_POST[ 'input_id' ] ) : "" ;
	$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $security -> checknum( $_POST[ 'input_website' ] ) : 0 ;
	$input_template_set = ( isset( $_POST[ 'input_template_set' ] ) ) ? $security -> checknum( $_POST[ 'input_template_set' ] ) : 0 ;
	$input_blocks = ( isset( $_POST[ 'input_blocks' ] ) ) ? $security -> checkvararray( $_POST[ 'input_blocks' ] ) : array() ;
	$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $security -> checknum( $_POST[ 'input_category' ] ) : 0 ;
	$input_menu = ( isset( $_POST[ 'input_menu' ] ) ) ? $security -> checknum( $_POST[ 'input_menu' ] ) : 0 ;
	$input_teaserimage = ( isset( $_POST[ 'input_teaserimage' ] ) ) ? $security -> checknum( $_POST[ 'input_teaserimage' ] ) : 0 ;
	$input_top = ( isset( $_POST[ 'input_top' ] ) ) ? $security -> checknum( $_POST[ 'input_top' ] ) : 0 ;
	$input_year = ( isset( $_POST[ 'input_year' ] ) ) ? $security -> checknum( $_POST[ 'input_year' ] ) : "" ;
	$input_month = ( isset( $_POST[ 'input_month' ] ) ) ? $security -> checknum( $_POST[ 'input_month' ] ) : "" ;
	$input_day = ( isset( $_POST[ 'input_day' ] ) ) ? $security -> checknum( $_POST[ 'input_day' ] ) : "" ;
	$input_hour = ( isset( $_POST[ 'input_hour' ] ) ) ? $security -> checknum( $_POST[ 'input_hour' ] ) : "" ;
	$input_minute = ( isset( $_POST[ 'input_minute' ] ) ) ? $security -> checknum( $_POST[ 'input_minute' ] ) : "" ;
	$input_second = ( isset( $_POST[ 'input_second' ] ) ) ? $security -> checknum( $_POST[ 'input_second' ] ) : "" ;
	$input_now = ( isset( $_POST[ 'input_now' ] ) ) ? $security -> checknum( $_POST[ 'input_now' ] ) : "" ;
	$input_expire_year = ( isset( $_POST[ 'input_expire_year' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_year' ] ) : "" ;
	$input_expire_month = ( isset( $_POST[ 'input_expire_month' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_month' ] ) : "" ;
	$input_expire_day = ( isset( $_POST[ 'input_expire_day' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_day' ] ) : "" ;
	$input_expire_hour = ( isset( $_POST[ 'input_expire_hour' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_hour' ] ) : "" ;
	$input_expire_minute = ( isset( $_POST[ 'input_expire_minute' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_minute' ] ) : "" ;
	$input_expire_second = ( isset( $_POST[ 'input_expire_second' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_second' ] ) : "" ;
	$input_expire_never = ( isset( $_POST[ 'input_expire_never' ] ) ) ? $security -> checknum( $_POST[ 'input_expire_never' ] ) : "" ;
	$input_file_name = ( isset( $_POST[ 'input_file_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_name' ] ) : "" ;
	$input_file_seo = ( isset( $_POST[ 'input_file_seo' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_seo' ] ) : "" ;
	$input_file_source = ( isset( $_POST[ 'input_file_source' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_source' ] ) : "" ;
	$input_file_sourceid = ( isset( $_POST[ 'input_file_sourceid' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_sourceid' ] ) : 0 ;
	$input_file_version = ( isset( $_POST[ 'input_file_version' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_version' ] ) : "" ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_description' ] ) : "" ;
	$input_file_keywords = ( isset( $_POST[ 'input_file_keywords' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_keywords' ] ) : "" ;
	$input_file_smalldescription = ( isset( $_POST[ 'input_file_smalldescription' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_smalldescription' ] ) : "" ;
	$input_file_longdescription = ( isset( $_POST[ 'input_file_longdescription' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_longdescription' ] ) : "" ;
	$input_file_size = ( isset( $_POST[ 'input_file_size' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_size' ] ) : "" ;
	$input_file_cost = ( isset( $_POST[ 'input_file_cost' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_cost' ] ) : "" ;
	$input_file_company = ( isset( $_POST[ 'input_file_company' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_company' ] ) : "" ;
	$input_file_homepage = ( isset( $_POST[ 'input_file_homepage' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_homepage' ] ) : "" ;
	$input_file_email = ( isset( $_POST[ 'input_file_email' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_email' ] ) : "" ;
	$input_file_pad = ( isset( $_POST[ 'input_file_pad' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_pad' ] ) : "" ;
	$input_file_language = ( isset( $_POST[ 'input_file_language' ] ) ) ? $security -> checknum( $_POST[ 'input_file_language' ] ) : "" ;
	$input_file_os = ( isset( $_POST[ 'input_file_os' ] ) ) ? $security -> checkvararray( $_POST[ 'input_file_os' ] ) : array() ;
	$input_file_changeinfo = ( isset( $_POST[ 'input_file_agreement' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_changeinfo' ] ) : "" ;
	$input_file_agreement = ( isset( $_POST[ 'input_file_agreement' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_agreement' ] ) : "" ;
	$input_file_screenshot = ( isset( $_POST[ 'input_file_screenshot' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_screenshot' ] ) : "" ;
	$input_file_tags = ( isset( $_POST[ 'input_file_tags' ] ) ) ? $security -> checkvar( $_POST[ 'input_file_tags' ] ) : "" ;
	$input_primary_url = ( isset( $_POST[ 'input_primary_url' ] ) ) ? $security -> checkvar( $_POST[ 'input_primary_url' ] ) : "" ;
	$input_secondary_url = ( isset( $_POST[ 'input_secondary_url' ] ) ) ? $security -> checkvar( $_POST[ 'input_secondary_url' ] ) : "" ;
	$input_download_other_name_1 = ( isset( $_POST[ 'input_download_other_name_1' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_1' ] ) : "" ;
	$input_download_other_name_2 = ( isset( $_POST[ 'input_download_other_name_2' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_2' ] ) : "" ;
	$input_download_other_name_3 = ( isset( $_POST[ 'input_download_other_name_3' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_3' ] ) : "" ;
	$input_download_other_name_4 = ( isset( $_POST[ 'input_download_other_name_4' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_4' ] ) : "" ;
	$input_download_other_name_5 = ( isset( $_POST[ 'input_download_other_name_5' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_5' ] ) : "" ;
	$input_download_other_name_6 = ( isset( $_POST[ 'input_download_other_name_6' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_6' ] ) : "" ;
	$input_download_other_name_7 = ( isset( $_POST[ 'input_download_other_name_7' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_7' ] ) : "" ;
	$input_download_other_name_8 = ( isset( $_POST[ 'input_download_other_name_8' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_8' ] ) : "" ;
	$input_download_other_name_9 = ( isset( $_POST[ 'input_download_other_name_9' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_9' ] ) : "" ;
	$input_download_other_name_10 = ( isset( $_POST[ 'input_download_other_name_10' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_10' ] ) : "" ;
	$input_download_other_name_11 = ( isset( $_POST[ 'input_download_other_name_11' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_11' ] ) : "" ;
	$input_download_other_name_12 = ( isset( $_POST[ 'input_download_other_name_12' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_12' ] ) : "" ;
	$input_download_other_name_13 = ( isset( $_POST[ 'input_download_other_name_13' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_13' ] ) : "" ;
	$input_download_other_name_14 = ( isset( $_POST[ 'input_download_other_name_14' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_14' ] ) : "" ;
	$input_download_other_name_15 = ( isset( $_POST[ 'input_download_other_name_15' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_15' ] ) : "" ;
	$input_download_other_name_16 = ( isset( $_POST[ 'input_download_other_name_16' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_16' ] ) : "" ;
	$input_download_other_name_17 = ( isset( $_POST[ 'input_download_other_name_17' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_17' ] ) : "" ;
	$input_download_other_name_18 = ( isset( $_POST[ 'input_download_other_name_18' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_18' ] ) : "" ;
	$input_download_other_name_19 = ( isset( $_POST[ 'input_download_other_name_19' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_19' ] ) : "" ;
	$input_download_other_name_20 = ( isset( $_POST[ 'input_download_other_name_20' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_name_20' ] ) : "" ;
	$input_download_other_url_1 = ( isset( $_POST[ 'input_download_other_url_1' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_1' ] ) : "" ;
	$input_download_other_url_2 = ( isset( $_POST[ 'input_download_other_url_2' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_2' ] ) : "" ;
	$input_download_other_url_3 = ( isset( $_POST[ 'input_download_other_url_3' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_3' ] ) : "" ;
	$input_download_other_url_4 = ( isset( $_POST[ 'input_download_other_url_4' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_4' ] ) : "" ;
	$input_download_other_url_5 = ( isset( $_POST[ 'input_download_other_url_5' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_5' ] ) : "" ;
	$input_download_other_url_6 = ( isset( $_POST[ 'input_download_other_url_6' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_6' ] ) : "" ;
	$input_download_other_url_7 = ( isset( $_POST[ 'input_download_other_url_7' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_7' ] ) : "" ;
	$input_download_other_url_8 = ( isset( $_POST[ 'input_download_other_url_8' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_8' ] ) : "" ;
	$input_download_other_url_9 = ( isset( $_POST[ 'input_download_other_url_9' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_9' ] ) : "" ;
	$input_download_other_url_10 = ( isset( $_POST[ 'input_download_other_url_10' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_10' ] ) : "" ;
	$input_download_other_url_11 = ( isset( $_POST[ 'input_download_other_url_11' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_11' ] ) : "" ;
	$input_download_other_url_12 = ( isset( $_POST[ 'input_download_other_url_12' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_12' ] ) : "" ;
	$input_download_other_url_13 = ( isset( $_POST[ 'input_download_other_url_13' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_13' ] ) : "" ;
	$input_download_other_url_14 = ( isset( $_POST[ 'input_download_other_url_14' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_14' ] ) : "" ;
	$input_download_other_url_15 = ( isset( $_POST[ 'input_download_other_url_15' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_15' ] ) : "" ;
	$input_download_other_url_16 = ( isset( $_POST[ 'input_download_other_url_16' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_16' ] ) : "" ;
	$input_download_other_url_17 = ( isset( $_POST[ 'input_download_other_url_17' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_17' ] ) : "" ;
	$input_download_other_url_18 = ( isset( $_POST[ 'input_download_other_url_18' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_18' ] ) : "" ;
	$input_download_other_url_19 = ( isset( $_POST[ 'input_download_other_url_19' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_19' ] ) : "" ;
	$input_download_other_url_20 = ( isset( $_POST[ 'input_download_other_url_20' ] ) ) ? $security -> checkvar( $_POST[ 'input_download_other_url_20' ] ) : "" ;
	$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $security -> checknum( $_POST[ 'input_html' ] ) : "" ;
	$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $security -> checknum( $_POST[ 'input_smilies' ] ) : "" ;
	$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $security -> checknum( $_POST[ 'input_blockcode' ] ) : "" ;
	$input_allow_comments = ( isset( $_POST[ 'input_allow_comments' ] ) ) ? $security -> checknum( $_POST[ 'input_allow_comments' ] ) : "" ;
	$input_frontpage = ( isset( $_POST[ 'input_frontpage' ] ) ) ? $security -> checknum( $_POST[ 'input_frontpage' ] ) : 0 ;
	$input_url_tag = ( isset( $_POST[ 'input_url_tag' ] ) ) ? $security -> checknum( $_POST[ 'input_url_tag' ] ) : "" ;
	$input_url_get = ( isset( $_POST[ 'input_url_get' ] ) ) ? $security -> checknum( $_POST[ 'input_url_get' ] ) : "" ;
	$input_url_video = ( isset( $_POST[ 'input_url_video' ] ) ) ? $security -> checknum( $_POST[ 'input_url_video' ] ) : "" ;
	$input_twitter = ( isset( $_POST[ 'input_twitter' ] ) ) ? $security -> checknum( $_POST[ 'input_twitter' ] ) : "" ;
	$input_plurk = ( isset( $_POST[ 'input_plurk' ] ) ) ? $security -> checknum( $_POST[ 'input_plurk' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $security -> checknum( $_POST[ 'input_status' ] ) : 0 ;
	$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $security -> checkvar( $_POST[ 'input_password' ] ) : "" ;
	$input_files = ( isset( $_POST[ 'input_files' ] ) ) ? $security -> checkvar( $_POST[ 'input_files' ] ) : "" ;
	$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $security -> checkvararray( $_POST[ 'input_fields' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $security -> checkvar( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $security -> checkvar( $_POST[ 'input_dopreview' ] ) : "" ;
	$input_doupload = ( isset( $_POST[ 'input_doupload' ] ) ) ? $security -> checkvar( $_POST[ 'input_doupload' ] ) : "" ;
	$input_doteaserupload = ( isset( $_POST[ 'input_doteaserupload' ] ) ) ? $security -> checkvar( $_POST[ 'input_doteaserupload' ] ) : "" ;
	$input_file_url = ( isset( $_POST[ 'input_file_url' ] ) ) ? $security -> checkvararray( $_POST[ 'input_file_url' ] ) : array() ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $security -> checkvararray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_desc = ( isset( $_POST[ 'input_file_desc' ] ) ) ? $security -> checkvararray( $_POST[ 'input_file_desc' ] ) : array() ;
	$input_dofileremove = ( isset( $_POST[ 'input_dofileremove' ] ) ) ? $security -> checkvar( $_POST[ 'input_dofileremove' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $security -> checkvar( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_doeditfile = ( isset( $_POST[ 'input_doeditfile' ] ) ) ? $security -> checkvar( $_POST[ 'input_doeditfile' ] ) : "" ;
	$input_edittitle = ( isset( $_POST[ 'input_edittitle' ] ) ) ? $security -> checkvar( $_POST[ 'input_edittitle' ] ) : "" ;
	$input_editdescription = ( isset( $_POST[ 'input_editdescription' ] ) ) ? $security -> checkvar( $_POST[ 'input_editdescription' ] ) : "" ;
	$input_editid = ( isset( $_POST[ 'input_editid' ] ) ) ? $security -> checknum( $_POST[ 'input_editid' ] ) : "" ;
	$input_dospellcheck = ( isset( $_POST[ 'input_dospellcheck' ] ) ) ? $security -> checkvar( $_POST[ 'input_dospellcheck' ] ) : "" ;
	$input_doreject = ( isset( $_POST[ 'input_doreject' ] ) ) ? $security -> checkvar( $_POST[ 'input_doreject' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_files[ 'ERROR' ], $words_files[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}

	$notice = "";

	if( $input_doupload and !$preferences[ 'product_demo' ] )
	{
		@set_time_limit( 0 );
		$error = "";

		if ( $input_file_url[ 0 ] != "http://" )
		{
			for( $a = 0; $a < count( $input_file_url ); $a++ )
			{
				if( preg_match( "/http/i", $input_file_url[ $a ] ) )
				{
					if( function_exists( "curl_exec" ) )
					{
						$this_file = curl_init( $input_file_url[ $a ] );
						curl_setopt( $this_file, CURLOPT_RETURNTRANSFER, 1 );
						curl_setopt( $this_file, CURLOPT_CONNECTTIMEOUT, 5 );
						curl_setopt( $this_file, CURLOPT_USERAGENT, "Esselbach Contentteller CMS" );
						$binary = curl_exec( $this_file );
						curl_close( $this_file );
					}
					else
					{
						$this_file = @fopen( $input_file_url[ $a ], "r" );
						$binary = "";
						while ( !feof( $this_file ) )
						{
							$binary .= fread( $this_file, 4096 );
						}
						fclose( $this_file );
					}
					$file_size = strlen( $binary );

					if ( $binary )
					{
						$file_type = "";
						$query = $database -> dbquery( "SELECT filetype_mime, filetype_adminsize, filetype_extension FROM " . DB_PREFIX . "esselbach_ct_filetypes" );
						while( list( $file_mime, $file_allowedsize, $file_extension ) = $database -> dbrow( $query ) )
						{
							if( preg_match( "/." . $file_extension . "/i", $input_file_url[ $a ] ) )
							{
								$file_name = "file-" . substr( md5( rand( 1, 32768 ) ), 1, 18) . "." . $file_extension;
								$file_type = $file_mime;
								if( $file_size > $file_allowedsize )
								{
									$error = $words_files[ 'FILE_TOO_LARGE' ] . " " . $file_allowedsize . " " . $words_files[ 'BYTES' ];
								}
							}
						}

						if( !$error and $file_name and $file_type )
						{
							if( ( preg_match( "/.png|.jpg|.jpeg|.png/i", $input_file_url[ $a ] ) ) and function_exists( "imagecreatefromstring" ) )
							{
								if( $preferences[ 'files_image_width' ] )
								{
									$binary = $system -> resizeimage( $binary, $file_type, $preferences[ 'files_image_width' ], $preferences[ 'files_image_brandtext' ], $preferences[ 'files_image_brandcolor' ], $preferences[ 'files_watermark' ] );
									$file_size = strlen( $binary );
								}

								$thumb_image = $system -> resizeimage( $binary, $file_type, $preferences[ 'files_image_thumbwidth' ], "", "", "" );
								$thumb_size = strlen( $thumb_image );
								$thumb_image = $database -> dbescape( $thumb_image );
							}
							else
							{
								$thumb_image = "";
								$thumb_size = 0;
							}

							$binary = $database -> dbescape( $binary );

							if( !$input_file_title[ $a ] )
							{
								$input_file_title[ $a ] = $file_name;
							}

							if( !$input_file_description[ $a ] )
							{
								$input_file_description[ $a ] = $words_files[ 'NO_DESCRIPTION' ];
							}

							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesfiles (filefile_id, filefile_author, filefile_filename, filefile_title, filefile_description, filefile_mime, filefile_size, filefile_binary, filefile_thumbsize, filefile_thumbimage, filefile_inuse, filefile_file, filefile_date, filefile_views, filefile_activity, filefile_postip, filefile_editip) VALUES (NULL, '" . $login_username . "', '" . $file_name . "', '" . $input_file_title[ $a ] . "', '" . $input_file_desc[ $a ] . "', '" . $file_type . "', '" . $file_size . "', '" . $binary . "', '" . $thumb_size . "', '" . $thumb_image . "', '0', '0', now(), '0', now(), '" . $ipaddr . "', '" . $ipaddr . "')" );
							$notice = $words_files[ 'UPLOAD_SUCCESSFULLY' ];
							$input_file_url[ $a ] = "";
							$input_file_title[ $a ] = "";
							$input_file_description[ $a ] = "";
						}
					}
				}
			}
		}

		for( $a = 0; $a < count( $_FILES[ 'input_file' ][ 'name' ] ); $a++ )
		{
			$file_name = ( isset( $_FILES[ 'input_file' ][ 'name' ][ $a ] ) ) ? $security -> checkvar( strtolower( $_FILES[ 'input_file' ][ 'name' ][ $a ] ) ) : "" ;
			$tmp_name = ( isset( $_FILES[ 'input_file' ][ 'tmp_name' ][ $a ] ) ) ? $_FILES[ 'input_file' ][ 'tmp_name' ][ $a ] : "" ;
			$file_size = ( isset( $_FILES[ 'input_file' ][ 'size' ][ $a ] ) ) ? $security -> checknum( $_FILES[ 'input_file' ][ 'size' ][ $a ] ) : "" ;
			$file_type = ( isset( $_FILES[ 'input_file' ][ 'type' ][ $a ] ) ) ? $security -> checkvar( $_FILES[ 'input_file' ][ 'type' ][ $a ] ) : "" ;

			if( $file_name )
			{
				$query = $database -> dbquery( "SELECT filetype_adminsize, filetype_extension FROM " . DB_PREFIX . "esselbach_ct_filetypes WHERE filetype_mime = '" . $database -> dbescape( $file_type ) . "'" );

				if( $database -> dbrows( $query ) )
				{
					list( $file_allowedsize, $file_extension ) = $database -> dbrow( $query );

					if( $file_size > $file_allowedsize )
					{
						$error = $words_files[ 'FILE_TOO_LARGE' ] . " " . $file_allowedsize . " " . $words_files[ 'BYTES' ];
					}

					if( !preg_match( "/" . $file_extension . "/i", $file_name ) )
					{
						$error = $words_files[ 'FILETYPE_INVALID' ];
					}
				}
				else
				{
					$error = $words_files[ 'FILETYPE_UNKNOWN' ];
				}

				if( !$tmp_name )
				{
					$error = $words_files[ 'FILE_EMPTY' ];
				}

				if( !$error )
				{
					$file = @fopen( $tmp_name, "r" );

					if( $file )
					{
						$binary = fread( $file, filesize( $tmp_name ) );

						if( ( $file_type == "image/png" or $file_type == "image/x-png" or $file_type == "image/pjpeg" or $file_type == "image/jpeg" or $file_type == "image/gif" ) and function_exists( "imagecreatefromstring" ) )
						{
							if( $preferences[ 'files_image_width' ] )
							{
								$binary = $system -> resizeimage( $binary, $file_type, $preferences[ 'files_image_width' ], $preferences[ 'files_image_brandtext' ], $preferences[ 'files_image_brandcolor' ], $preferences[ 'files_watermark' ] );
								$file_size = strlen( $binary );
							}

							$thumb_image = $system -> resizeimage( $binary, $file_type, $preferences[ 'files_image_thumbwidth' ], "", "", "" );
							$thumb_size = strlen( $thumb_image );
							$thumb_image = $database -> dbescape( $thumb_image );
						}
						else
						{
							$thumb_image = "";
							$thumb_size = 0;
						}

						$binary = $database -> dbescape( $binary );
						fclose( $file );

						if( !$input_file_title[ $a ] )
						{
							$input_file_title[ $a ] = $file_name;
						}

						if( !$input_file_desc[ $a ] )
						{
							$input_file_desc[ $a ] = $words_files[ 'NO_DESCRIPTION' ];
						}

						$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesfiles (filefile_id, filefile_author, filefile_filename, filefile_title, filefile_description, filefile_mime, filefile_size, filefile_binary, filefile_thumbsize, filefile_thumbimage, filefile_inuse, filefile_file, filefile_date, filefile_views, filefile_activity, filefile_postip, filefile_editip) VALUES (NULL, '" . $login_username . "', '" . $file_name . "', '" . $input_file_title[ $a ] . "', '" . $input_file_desc[ $a ] . "', '" . $file_type . "', '" . $file_size . "', '" . $binary . "', '" . $thumb_size . "', '" . $thumb_image . "', '0', '0', now(), '0', now(), '" . $ipaddr . "', '" . $ipaddr . "')" );
						$notice = $words_files[ 'UPLOAD_SUCCESSFULLY' ];
						$input_file_title[ $a ] = "";
						$input_file_desc[ $a ] = "";
					}
				}
				else
				{
					$file_id = $a + 1;
					$notice = $words_files[ 'FILE' ] . " #" . $file_id . ":<br />" . $error;
				}
			}
		}
	}

	if( $input_doteaserupload )
	{
		$file_name = ( isset( $_FILES[ 'input_teaserfile' ][ 'name' ] ) ) ? $security -> checkvar( strtolower( $_FILES[ 'input_teaserfile' ][ 'name' ] ) ) : "" ;
		$tmp_name = ( isset( $_FILES[ 'input_teaserfile' ][ 'tmp_name' ] ) ) ? $_FILES[ 'input_teaserfile' ][ 'tmp_name' ] : "" ;
		$file_size = ( isset( $_FILES[ 'input_teaserfile' ][ 'size' ] ) ) ? $security -> checknum( $_FILES[ 'input_teaserfile' ][ 'size' ] ) : "" ;
		$file_type = ( isset( $_FILES[ 'input_teaserfile' ][ 'type' ] ) ) ? $security -> checkvar( $_FILES[ 'input_teaserfile' ][ 'type' ] ) : "" ;
		$query = $database -> dbquery( "SELECT filetype_adminsize, filetype_extension FROM " . DB_PREFIX . "esselbach_ct_filetypes WHERE filetype_mime = '" . $file_type . "' AND filetype_isimage = '1'" );

		if( $database -> dbrows( $query ) )
		{
			list( $file_allowedsize, $file_extension ) = $database -> dbrow( $query );

			if( $file_size > $file_allowedsize )
			{
				$notice = $words_files[ 'FILE_TOO_LARGE' ] . " " . $file_allowedsize . " " . $words_files[ 'BYTES' ];
			}

			if( !preg_match( "/" . $file_extension . "/i", $file_name ) )
			{
				$notice = $words_files[ 'FILETYPE_INVALID' ];
			}
		}
		else
		{
			$notice = $words_files[ 'FILETYPE_NOT_ALLOWED_IMAGE' ];
		}

		if( !$tmp_name )
		{
			$notice = $words_files[ 'FILE_EMPTY' ];
		}

		$file = @fopen( $tmp_name, "r" );

		if( $file and !$notice )
		{
			$binary = fread( $file, filesize( $tmp_name ) );

			if( ( $file_type == "image/png" or $file_type == "image/x-png" or $file_type == "image/pjpeg" or $file_type == "image/jpeg" or $file_type == "image/gif" ) and function_exists( "imagecreatefromstring" ) )
			{
				if( $preferences[ 'files_image_teaserwidth' ] )
				{
					$teaserwidth = $preferences[ 'files_image_teaserwidth' ];
				}
				else
				{
					$teaserwidth = 20;
				}

				$teaser_image = $system -> resizeimage( $binary, $file_type, $teaserwidth, "", "", "" );
				$teaser_size = strlen( $teaser_image );
				$teaser_image = $database -> dbescape( $teaser_image );
			}
			else
			{
				$teaser_size = $file_size;
				$teaser_image = $database -> dbescape( $binary );
			}

			fclose( $file );
			$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesteaserimages (fileteaserimage_id, fileteaserimage_author, fileteaserimage_filename, fileteaserimage_mime, fileteaserimage_size, fileteaserimage_binary, fileteaserimage_default, fileteaserimage_file, fileteaserimage_ip) VALUES (NULL, '" . $login_username . "', '" . $file_name . "', '" . $file_type . "', '" . $teaser_size . "', '" . $teaser_image . "', '0', '0', '" . $ipaddr . "')" );
			$notice = $words_files[ 'TEASER_IMAGE_ADDED' ];
		}
	}

	if( $input_dofileremove )
	{
		$input_file = explode( "#", $input_dofileremove );
		$input_file = $security -> checknum( $input_file[ 1 ] );
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_filesfiles WHERE filefile_author = '" . $login_username . "' AND filefile_id = '" . $input_file . "'" );
		$notice = $words_files[ 'FILE_REMOVED' ];
	}

	if( !$notice )
	{
		if( !$input_file_name )
		{
			$notice = $words_files[ 'FILE_NO_NAME' ];
		}

		if( !$input_file_smalldescription )
		{
			$notice = $words_files[ 'FILE_NO_SMALLDESCRIPTION' ];
		}

		if( $input_file_pad )
		{
			$input_file_pad = str_replace( "..", "", $input_file_pad );

			if( function_exists( "curl_exec" ) )
			{
				$pad = curl_init( $input_file_pad );
				curl_setopt( $pad, CURLOPT_RETURNTRANSFER, 1 );
				$data = curl_exec( $pad );
				curl_close( $pad );

				if( strlen( $data ) < 99 )
				{
				    $data = "";
				}
			}
			else
			{
				$feed = @fopen( $input_file_pad, "r" );
       			$data = "";
       			while( $output = @fread( $feed, 4096 ))
       			{
       				$data .= $output;
       			}

       			@fclose( $feed );
			}

			if( !$data )
			{
				$notice = $words_files[ 'INVALID_PAD_SOURCE' ];
			}
		}

		if( !$input_primary_url )
		{
			$notice = $words_files[ 'FILE_NO_PRIMARY_URL' ];
		}

		if( $preferences[ 'files_start_expire_date' ] )
		{
			if( !checkdate( $input_month, $input_day, $input_year ) or !checkdate( $input_expire_month, $input_expire_day, $input_expire_year ) )
			{
				$notice = $words_files[ 'INVALID_DATE' ];
			}
		}

		if( ( $input_status == 3 ) and( !$input_password ) )
		{
			$notice = $words_files[ 'NO_PASSWORD' ];
		}
	}

	if( $input_dofileedit )
	{
		$notice = "";
	}

	if( $input_doeditfile )
	{
		if( !$input_edittitle )
		{
			$query = dbquery( "SELECT filefile_filename FROM " . DB_PREFIX . "esselbach_ct_filesfiles WHERE filefile_id = '" . $input_editid . "'" );
			list( $input_edittitle ) = $database -> dbquery( $query );
			$input_edittitle = $database -> dbescape( $input_edittitle );
		}

		if( !$input_editdescription )
		{
			$input_editdescription = $words_files[ 'NO_DESCRIPTION' ];
		}

		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesfiles SET filefile_title = '" . $input_edittitle . "', filefile_description = '" . $input_editdescription . "', filefile_editip = '" . $ipaddr . "' WHERE filefile_author = '" . $login_username . "' AND filefile_id = '" . $input_editid . "'" );
		$notice = $words_files[ 'DESCRIPTION_CHANGED' ];
	}

	if( !$input_file_description )
	{
		$input_file_description = $system -> description( $input_file_smalldescription );
	}

	if( !$input_file_keywords )
	{
		$input_file_keywords = $system -> keywords( $input_file_smalldescription );
	}

	if( $input_dospellcheck )
	{
		if( $dictionary = @pspell_new( $preferences[ 'website_spellchecker' ] ) )
		{
			$words_array = explode( " ", stripslashes( $input_file_smalldescription ) . "\n" . stripslashes( $input_file_longdescription ) );
			$input_page_spelling = "";
			$input_spell_errors = 0;

			foreach( $words_array as $word )
			{
				if( pspell_check( $dictionary, $word ) )
				{
					$input_page_spelling .= $word . " ";
				}
				else
				{
					$suggestions = implode( ", ", pspell_suggest( $dictionary, $word ) );
					( $suggestions ) ? $suggestions = $words_files[ 'SUGGESTIONS' ] . ": " . $suggestions : $suggestions = $words_files[ 'NO_SUGGESTIONS' ];
					$input_page_spelling .= "<span style=\"background-color: rgb(235, 15, 20); font-weight:bold;\" title=\"" . $suggestions . "\"><strong>" . $word . "</strong></span> ";
					$input_spell_errors++;
				}
			}

			$notice = $words_files[ 'THE_SPELL_CHECKER_FOUND' ] . " " . $input_spell_errors . " " . $words_files[ 'ERRORS' ] . ":<br /><br />" . $input_page_spelling;
		}
	}

	if( $input_doreject )
	{
		$notice = "";
	}

	if( ( $notice ) or( $input_dopreview ) or( $input_dofileedit ) )
	{
		AdminProcessFilesQueue( $notice );
	}
	else
	{
		if ( $input_files )
		{
			$input_files = "&amp;files=" . $input_files;
		}

		if( !$input_doreject )
		{
			$seo_url = ( $preferences[ 'website_mod_rewrite' ] ) ? "" : "index" . $preferences[ 'param_ext' ] . $preferences[ 'param_ct' ] ;

			if( preg_match( "/http/i", $input_file_screenshot ) )
			{
				$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_filesfiles WHERE filefile_inuse = '0'" );
				if( function_exists( "curl_exec" ) )
				{
					$screenshot = curl_init( $input_file_screenshot );
					curl_setopt( $screenshot, CURLOPT_RETURNTRANSFER, 1 );
					curl_setopt( $screenshot, CURLOPT_CONNECTTIMEOUT, 5 );
					curl_setopt( $screenshot, CURLOPT_USERAGENT, "Esselbach Contentteller CMS" );
					$binary = curl_exec( $screenshot );
					curl_close( $screenshot );
				}
				else
				{
					$screenshot = @fopen( $input_file_screenshot, "r" );
					$binary = "";
					while ( !feof( $screenshot ) )
					{
						$binary .= fread( $screenshot, 4096 );
					}
					fclose( $screenshot );
				}

				if ( $binary )
				{
					if ( preg_match( "/png/i", $input_file_screenshot ) )
					{
						$mime = "image/png";
						$extension = ".png";
					}
					elseif ( preg_match( "/jpg|jpeg/i", $input_file_screenshot ) )
					{
						$mime = "image/jpeg";
						$extension = ".jpg";
					}
					elseif ( preg_match( "/gif/i", $input_file_screenshot ) )
					{
						$mime = "image/gif";
						$extension = ".gif";
					}
					else
					{
						$mime = "unknown/unknown";
						$extension = "";
					}

					$file_size = strlen( $binary );

					$query = $database -> dbquery( "SELECT filetype_adminsize FROM " . DB_PREFIX . "esselbach_ct_filetypes WHERE filetype_mime = '" . $mime . "'" );

					if( $database -> dbrows( $query ) )
					{
						list( $file_allowedsize ) = $database -> dbrow( $query );

						if( $file_size < $file_allowedsize )
						{
							if( function_exists( "imagecreatefromstring" ) )
							{
								if( $preferences[ 'files_image_width' ] )
								{
									$binary = $system -> resizeimage( $binary, $mime, $preferences[ 'files_image_width' ], $preferences[ 'files_image_brandtext' ], $preferences[ 'files_image_brandcolor' ], $preferences[ 'files_watermark' ] );
									$file_size = strlen( $binary );
								}

								$thumb_image = $system -> resizeimage( $binary, $mime, $preferences[ 'files_image_thumbwidth' ], "", "", "" );
								$thumb_size = strlen( $thumb_image );
								$thumb_image = $database -> dbescape( $thumb_image );
							}
							else
							{
								$thumb_image = "";
								$thumb_size = 0;
							}

							$binary = $database -> dbescape( $binary );

							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesfiles (filefile_id, filefile_author, filefile_filename, filefile_title, filefile_description, filefile_mime, filefile_size, filefile_binary, filefile_thumbsize, filefile_thumbimage, filefile_inuse, filefile_file, filefile_date, filefile_views, filefile_activity, filefile_postip, filefile_editip) VALUES (NULL, '" . $login_username . "', '" . $system -> doseo( $input_file_name ) . $extension . "', '" . $input_file_name . "', '" . $input_file_name . "', '" . $mime . "', '" . $file_size . "', '" . $binary . "', '" . $thumb_size . "', '" . $thumb_image . "', '0', '0', now(), '0', now(), '" . $ipaddr . "', '" . $ipaddr . "')" );
						}
					}
				}
			}

			if( is_array( $input_file_os ) )
			{
				$input_file_os_list = implode( ",", $input_file_os );
			}
			else
			{
				$input_file_os_list = "";
			}

			if( is_array( $input_blocks ) )
			{
				$input_blocks_list = implode( ",", $input_blocks );
			}
			else
			{
				$input_blocks_list = "";
			}

			if( is_array( $input_fields ) )
			{
				$input_fields_encoded = base64_encode( $system -> stripthis( $input_fields[ 0 ] ) );

				for( $i = 1; $i < 24; $i++ )
				{
					$input_fields_encoded .= "|";

					if( isset( $input_fields[ $i ] ) )
					{
						$input_fields_encoded .= base64_encode( $system -> stripthis( $input_fields[ $i ] ) );
					}
				}
			}
			else
			{
				$input_fields_encoded = "";
			}

			if ( $input_blockcode )
			{
				if ( $input_url_video )
				{
					$input_file_smalldescription = $system -> getvideocodes( $input_file_smalldescription );
					$input_file_longdescription = $system -> getvideocodes( $input_file_longdescription );
				}

				if ( $input_url_tag )
				{
					$input_file_smalldescription = preg_replace( "#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1[url]\\2[/url]", $input_file_smalldescription );
					$input_file_longdescription = preg_replace( "#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1[url]\\2[/url]", $input_file_longdescription );
				}

				if ( $input_url_get )
				{
					$input_file_smalldescription = $system -> geturltitles( $input_file_smalldescription );
					$input_file_longdescription = $system -> geturltitles( $input_file_longdescription );
				}
			}

			$input_file_smalldescription_parsed = stripslashes( $input_file_smalldescription );
			$input_file_longdescription_parsed = stripslashes( $input_file_longdescription );

			if( !$input_html )
			{
				$input_file_smalldescription_parsed = $system -> dechomp( $input_file_smalldescription_parsed );
				$input_file_longdescription_parsed = $system -> dechomp( $input_file_longdescription_parsed );
			}
			else
			{
				$input_file_smalldescription_parsed = $system -> html( $input_file_smalldescription_parsed );
				$input_file_longdescription_parsed = $system -> html( $input_file_longdescription_parsed );
			}

			if( $input_smilies )
			{
				$input_file_smalldescription_parsed = $system -> smilies( $input_file_smalldescription_parsed );
				$input_file_longdescription_parsed = $system -> smilies( $input_file_longdescription_parsed );
			}

			if( $input_blockcode )
			{
				$input_file_smalldescription_parsed = $system -> code( $input_file_smalldescription_parsed );
				$input_file_longdescription_parsed = $system -> code( $input_file_longdescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[attachment=(.*?)\](.*?)\[\/attachment\]/", "<a href=\"index.php?ct=files&amp;action=file&amp;id=\\1\">\\2</a>", $input_file_smalldescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[fullimage=(.*?)\]/", "<img src=\"index.php?ct=file&amp;action=files&amp;id=\\1\" alt=\"\" />", $input_file_smalldescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[thumb=(.*?)\]/", "<a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_files[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"index.php?ct=files&amp;action=thumb&amp;id=\\1\" class=\"thumb\" alt=\"\" /></a>", $input_file_smalldescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[fullimageleft=(.*?)\]/", "<img src=\"index.php?ct=file&amp;action=files&amp;id=\\1\" class=\"left\" alt=\"\" />", $input_file_smalldescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[thumbleft=(.*?)\]/", "<a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_files[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"index.php?ct=files&amp;action=thumb&amp;id=\\1\" class=\"thumbleft\" alt=\"\" /></a>", $input_file_smalldescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[fullimageright=(.*?)\]/", "<img src=\"index.php?ct=file&amp;action=files&amp;id=\\1\" class=\"right\" alt=\"\" />", $input_file_smalldescription_parsed );
				$input_file_smalldescription_parsed = preg_replace( "/\[thumbright=(.*?)\]/", "<a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_files[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"index.php?ct=files&amp;action=thumb&amp;id=\\1\" class=\"thumbright\" alt=\"\" /></a>", $input_file_smalldescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[attachment=(.*?)\](.*?)\[\/attachment\]/", "<a href=\"index.php?ct=files&amp;action=file&amp;id=\\1\">\\2</a>", $input_file_longdescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[fullimage=(.*?)\]/", "<img src=\"index.php?ct=files&amp;action=file&amp;id=\\1\" alt=\"\" />", $input_file_longdescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[thumb=(.*?)\]/", "<a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_files[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"index.php?ct=files&amp;action=thumb&amp;id=\\1\" class=\"thumb\" alt=\"\" /></a>", $input_file_longdescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[fullimageleft=(.*?)\]/", "<img src=\"index.php?ct=file&amp;action=files&amp;id=\\1\" class=\"left\" alt=\"\" />", $input_file_longdescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[thumbleft=(.*?)\]/", "<a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_files[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"index.php?ct=files&amp;action=thumb&amp;id=\\1\" class=\"thumbleft\" alt=\"\" /></a>", $input_file_longdescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[fullimageright=(.*?)\]/", "<img src=\"index.php?ct=file&amp;action=files&amp;id=\\1\" class=\"right\" alt=\"\" />", $input_file_longdescription_parsed );
				$input_file_longdescription_parsed = preg_replace( "/\[thumbright=(.*?)\]/", "<a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "image" . $preferences[ 'param_page' ] . "\\1.html\" title=\"" . $words_files[ 'CLICK_TO_ENLARGE' ] . "\"><img src=\"index.php?ct=files&amp;action=thumb&amp;id=\\1\" class=\"thumbright\" alt=\"\" /></a>", $input_file_longdescription_parsed );
			}

			$input_file_smalldescription_parsed = $database -> dbescape( $input_file_smalldescription_parsed );
			$input_file_longdescription_parsed = $database -> dbescape( $input_file_longdescription_parsed );

			if( $preferences[ 'files_start_expire_date' ] )
			{
				if( $input_now )
				{
					$input_startdate = date( "Y-m-d H:i:s", mktime() );
				}
				else
				{
					$input_startdate = date( "Y-m-d H:i:s", mktime( $input_hour, $input_minute, $input_second, $input_month, $input_day, $input_year ) );
				}

				$input_expiredate = date( "Y-m-d H:i:s", mktime( $input_expire_hour, $input_expire_minute, $input_expire_second, $input_expire_month, $input_expire_day, $input_expire_year ) );
			}
			else
			{
				$input_startdate = date( "Y-m-d H:i:s", mktime() );
				$input_expiredate = date( "Y-m-d H:i:s", mktime() );
				$input_expire_never = 1;
			}

			if( !$input_file_seo )
			{
				$input_file_seo = $input_file_name;
			}

			$input_file_seo = $system -> doseo( $input_file_seo );
			$query = $database -> dbquery( "SELECT COUNT(file_id) FROM " . DB_PREFIX . "esselbach_ct_files WHERE file_seo = '" . $input_file_seo . "'" );
			list( $seo_files ) = $database -> dbrow( $query );

			if( $seo_files )
			{
				$input_file_seo .= $system -> seorand();
			}

			$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_files (file_id, file_author, file_website, file_templateset, file_blocks, file_category, file_name, file_version, file_seo, file_pad, file_paddate, file_rawsmalldescription, file_smalldescription, file_rawlongdescription, file_longdescription, file_description, file_keywords, file_tags, file_size, file_cost, file_company, file_homepage, file_email, file_language, file_os, file_changeinfo, file_agreement, file_teaser, file_comments, file_allowcomments, file_thread, file_frontpage, file_html, file_smilies, file_code, file_status, file_password, file_date, file_startdate, file_expiredate, file_neverexpire, file_fields, file_sticky, file_views, file_downloads, file_rating, file_votes, file_source, file_sourceid, file_activity, file_postip, file_editip, file_editadmin) VALUES (NULL, '" . $login_username . "', '" . $input_website . "', '" . $input_template_set . "', '" . $input_blocks_list . "', '" . $input_category . "', '" . $input_file_name . "', '" . $input_file_version . "', '" . $input_file_seo . "', '" . $input_file_pad . "', now(), '" . $input_file_smalldescription . "', '" . $input_file_smalldescription_parsed . "', '" . $input_file_longdescription . "', '" . $input_file_longdescription_parsed . "', '" . $input_file_description . "', '" . $input_file_keywords . "', '" . $input_file_tags . "', '" . $input_file_size . "', '" . $input_file_cost . "', '" . $input_file_company . "', '" . $input_file_homepage . "', '" . $input_file_email . "', '" . $input_file_language . "', '" . $input_file_os_list . "', '" . $input_file_changeinfo . "', '" . $input_file_agreement . "', '" . $input_teaserimage . "', '0', '" . $input_allow_comments . "', '0', '" . $input_frontpage . "', '" . $input_html . "', '" . $input_smilies . "', '" . $input_blockcode . "', '" . $input_status . "', '" . $input_password . "', now(), '" . $input_startdate . "', '" . $input_expiredate . "', '" . $input_expire_never . "', '" . $input_fields_encoded . "', '" . $input_top . "', '0', '0', '0', '0', '" . $input_file_source . "', '" . $input_file_sourceid . "', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			$input_file = $database -> dblastinsert();

			if ( $preferences[ 'files_numeric_urls' ] )
			{
				$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_files SET file_seo = '" . $input_file . "' WHERE file_id = '" . $input_file . "'" );
			}

			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesfiles SET filefile_inuse = '1', filefile_file = '" . $input_file . "', filefile_activity = now(), filefile_editip = '" . $ipaddr . "' WHERE filefile_author = '" . $login_username . "' AND filefile_inuse = '0'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesteaserimages SET fileteaserimage_file = '" . $input_file . "' WHERE fileteaserimage_author = '" . $login_username . "' AND fileteaserimage_file = '0' AND fileteaserimage_default = '0'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesqueue SET filequeue_status = '1' WHERE filequeue_id = '" . $input_id . "'" );

			if( $input_primary_url )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '1', '" . $words_files[ 'DOWNLOAD_PRIMARY_URL' ] . "', '" . $input_primary_url . "', '0', '1', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_secondary_url )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '2', '" . $words_files[ 'DOWNLOAD_SECONDARY_URL' ] . "', '" . $input_secondary_url . "', '0', '2', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_1 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '3', '" . $input_download_other_name_1 . "', '" . $input_download_other_url_1 . "', '0', '3', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_2 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '4', '" . $input_download_other_name_2 . "', '" . $input_download_other_url_2 . "', '0', '4', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_3 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '5', '" . $input_download_other_name_3 . "', '" . $input_download_other_url_3 . "', '0', '5', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_4 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '6', '" . $input_download_other_name_4 . "', '" . $input_download_other_url_4 . "', '0', '6', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_5 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '7', '" . $input_download_other_name_5 . "', '" . $input_download_other_url_5 . "', '0', '7', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_6 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '8', '" . $input_download_other_name_6 . "', '" . $input_download_other_url_6 . "', '0', '8', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_7 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '9', '" . $input_download_other_name_7 . "', '" . $input_download_other_url_7 . "', '0', '9', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_8 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '10', '" . $input_download_other_name_8 . "', '" . $input_download_other_url_8 . "', '0', '10', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_9 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '11', '" . $input_download_other_name_9 . "', '" . $input_download_other_url_9 . "', '0', '11', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_10 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '12', '" . $input_download_other_name_10 . "', '" . $input_download_other_url_10 . "', '0', '12', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_11 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '13', '" . $input_download_other_name_11 . "', '" . $input_download_other_url_11 . "', '0', '13', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_12 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '14', '" . $input_download_other_name_12 . "', '" . $input_download_other_url_12 . "', '0', '14', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_13 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '15', '" . $input_download_other_name_13 . "', '" . $input_download_other_url_13 . "', '0', '15', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_14 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '16', '" . $input_download_other_name_14 . "', '" . $input_download_other_url_14 . "', '0', '16', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_15 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '17', '" . $input_download_other_name_15 . "', '" . $input_download_other_url_15 . "', '0', '17', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_16 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '18', '" . $input_download_other_name_16 . "', '" . $input_download_other_url_16 . "', '0', '18', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_17 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '19', '" . $input_download_other_name_17 . "', '" . $input_download_other_url_17 . "', '0', '19', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_18 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '20', '" . $input_download_other_name_18 . "', '" . $input_download_other_url_18 . "', '0', '20', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_19 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '21', '" . $input_download_other_name_19 . "', '" . $input_download_other_url_19 . "', '0', '21', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $input_download_other_url_20 )
			{
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesdownloads (filedownload_id, filedownload_file, filedownload_num, filedownload_name, filedownload_url, filedownload_downloads, filedownload_position, filedownload_activity, filedownload_postip, filedownload_editip, filedownload_editadmin) VALUES (NULL, '" . $input_file . "', '22', '" . $input_download_other_name_20 . "', '" . $input_download_other_url_20 . "', '0', '22', now(), '" . $ipaddr . "', '" . $ipaddr . "', '" . $login_username . "')" );
			}

			if( $preferences[ 'files_related' ] )
			{
				$files_search = substr( $input_file_name, 0, 8 );
				$files_limit = $database -> dbescape( $preferences[ 'files_max_related' ] );
				$currentdate = date( "Y-m-d H:i:s", gmmktime() );

				if( !$files_limit )
				{
					$files_limit = 1;
				}
				else
				{
					$files_limit++;
				}

				$query = $database -> dbquery( "SELECT file_id, file_author, file_name, file_seo, file_description, file_date FROM " . DB_PREFIX . "esselbach_ct_files WHERE (file_name LIKE '%" . $files_search . "%') AND file_status = '0' AND file_website = '" . $input_website . "' AND file_startdate < '" . $currentdate . "' AND file_neverexpire = '1' ORDER BY file_date DESC LIMIT " . intval( $files_limit ) );

				if( $database -> dbrows( $query ) > 1 )
				{
					while( list( $filerelated_fileid, $filerelated_author, $filerelated_name, $filerelated_seo, $filerelated_description, $filerelated_date ) = $database -> dbrow( $query ) )
					{
						$filerelated_author = $database -> dbescape( $filerelated_author );
						$filerelated_name = $database -> dbescape( $filerelated_name );
						$filerelated_description = $database -> dbescape( $filerelated_description );

						if( $filerelated_fileid != $input_file )
						{
							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesrelated (filerelated_id, filerelated_file, filerelated_fileid, filerelated_author, filerelated_website, filerelated_name, filerelated_seo, filerelated_description, filerelated_date) VALUES (NULL, '" . $input_file . "', '" . $filerelated_fileid . "', '" . $filerelated_author . "', '" . $input_website . "', '" . $filerelated_name . "', '" . $filerelated_seo . "', '" . $filerelated_description . "', '" . $filerelated_date . "')" );
						}
					}
				}
			}

			if( $input_menu and $permissions[ 'core' ] == 1 )
			{
				$query = $database -> dbquery( "SELECT menu_position FROM " . DB_PREFIX . "esselbach_ct_menus WHERE menu_parentmenu = '" . $input_menu . "' ORDER BY menu_position DESC LIMIT 1" );
				if( $database -> dbrows( $query ) )
				{
					list( $menu_position ) = $database -> dbrow( $query );
				}
				else
				{
        			$query = $database -> dbquery( "SELECT menu_position FROM " . DB_PREFIX . "esselbach_ct_menus WHERE menu_id = '" . $input_menu . "'" );
        			list( $menu_position ) = $database -> dbrow( $query );
				}
				$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_menus (menu_id, menu_active, menu_website, menu_name, menu_link, menu_parents, menu_parentmenu, menu_parentid, menu_position, menu_postip, menu_editip) VALUES (NULL, '1', '" . $input_website . "', '" . $input_file_name . "', '{\$insert[\'site_url\']}{\$insert[\'param_ct\']}files{\$insert[\'param_action\']}details{\$insert[\'param_page\']}" . $input_file_seo . ".html', '0," . $input_menu . "', '" . $input_menu . "', '2', '" . $menu_position . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
				$input_submenu = $database -> dblastinsert();
				$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_files SET file_menu = '" . $input_menu . "," . $input_submenu . "' WHERE file_id = '" . $input_file . "'" );
			}

			if( $input_file_tags )
			{
				$tags = explode( ",", $input_file_tags );

				foreach( $tags as $tag )
				{
					$tag = rtrim( ltrim( $tag ) );
					$tag_seo = $system -> doseo( $tag );
					if( $tag_seo )
					{
						$query = $database -> dbquery( "SELECT filetag_id FROM " . DB_PREFIX . "esselbach_ct_filestags WHERE filetag_tag = '" . $tag . "' AND (filetag_website = '0' AND filetag_website = '" . $input_website . "')" );

						if( $database -> dbrows( $query ) )
						{
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filestags SET filetag_count = filetag_count + 1 WHERE filetag_tag = '" . $tag . "' AND (filetag_website = '0' AND filetag_website = '" . $input_website . "')" );
						}
						else
						{
							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filestags (filetag_id, filetag_website, filetag_tag, filetag_seo, filetag_count) VALUES (NULL, '" . $input_website . "', '" . $tag . "', '" . $tag_seo . "', '1')" );
						}
					}
				}
			}

			if ( $input_twitter or $input_plurk )
			{
				$website_url = $system -> getwebsiteurl( $input_website );
				$link = $website_url . "/" . $seo_url . "files" . $preferences[ 'param_action' ] . "details" . $preferences[ 'param_page' ] . $input_file_seo . ".html";
				$input_file_shortlink = ( $preferences[ 'files_url_shortening' ] == "TinyURL" ) ? $system -> gettinyurl( $link ) : $system -> getbitly( $link, $preferences[ 'files_bitly_login' ], $preferences[ 'files_bitly_apikey' ] ) ;
			}
			if( ( $input_twitter ) and ( $preferences[ 'user_twitter_login' ] ) and ( $preferences[ 'user_twitter_key' ] ) and ( $preferences[ 'user_twitter_secret' ] ) and ( phpversion() >= "5.2.0" ) )
			{
				session_start();
				include( "../classes/twitter/twitteroauth.php" );

				if ( !empty( $_SESSION[ 'access_token'] ) )
				{
					$access_token = $_SESSION[ 'access_token' ];
					$twitter = new TwitterOAuth( $preferences[ 'user_twitter_key' ], $preferences[ 'user_twitter_secret' ], $access_token[ 'oauth_token' ], $access_token[ 'oauth_token_secret' ] );
					$twitter -> post( "statuses/update", array( "status" => stripslashes( $input_file_name ) . " " . stripslashes( $input_file_version ) . " " . $input_file_shortlink ) );
				}
			}
			if( $input_plurk and $preferences[ 'files_plurk_username' ] and $preferences[ 'files_plurk_password' ] )
			{
				$system -> doplurk( stripslashes( $input_file_name ) . " " . stripslashes( $input_file_version ) . " " . $input_file_shortlink, $preferences[ 'files_plurk_username' ], $preferences[ 'files_plurk_password' ] );
			}

			$html -> login( $words_files[ 'FILES_QUEUE' ], $words_files[ 'FILE_ADDED' ], "index.php?action=processfilesqueue" . $input_files );
		}
		else
		{
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesqueue SET filequeue_status = '2' WHERE filequeue_id = '" . $input_id . "'" );
			$html -> login( $words_files[ 'FILES_QUEUE' ], $words_files[ 'FILE_REJECTED' ], "index.php?action=processfilesqueue" . $input_files );
		}
	}
}
?>